<?php
include_once get_template_directory() . '/functions/crearesite-functions.php';
$functions_path = get_template_directory() . '/functions/';
/* These files build out the options interface.  Likely won't need to edit these. */
require_once ($functions_path . 'admin-functions.php');  // Custom functions and plugins
require_once ($functions_path . 'admin-interface.php');  // Admin Interfaces 
require_once ($functions_path . 'theme-options.php');   // Options panel settings and custom settings
require_once ($functions_path . 'themes-page.php');  // Web8.ro Theme Page 
 ?>
<?php
/* ----------------------------------------------------------------------------------- */
/* jQuery Enqueue */
/* ----------------------------------------------------------------------------------- */

function crearesite_wp_enqueue_scripts() {
    if (!is_admin()) {
      	
        wp_enqueue_script('crearesite-ddsmoothmenu', get_template_directory_uri() . '/js/ddsmoothmenu.js', array('jquery'));
        wp_enqueue_script('crearesite-custom', get_template_directory_uri() . '/js/custom.js', array('jquery'));
        wp_enqueue_script('crearesite-cycle', get_template_directory_uri() . '/js/jquery.cycle.js?ver=0.1', array('jquery'));
        wp_enqueue_script('crearesite-cycleee', get_template_directory_uri() . '/js/jquery.functions.js?ver=0.1', array('jquery'));

// Loads our main stylesheet.

wp_enqueue_style( 'douazeci', get_template_directory_uri() . '/css/20px.css', array(), '2.09' );
wp_enqueue_style( 'stil2', get_template_directory_uri() . '/css/stil2.css', array(), '2.09' );
wp_enqueue_style( 'frontpage', get_template_directory_uri() . '/css/front-page.css', array(), '2.09' );
wp_enqueue_style( 'crearesite-style', get_stylesheet_uri(), array(), '2013-07-18' );



    } elseif (is_admin()) {
    }
}
add_action('wp_enqueue_scripts', 'crearesite_wp_enqueue_scripts');




// Changing excerpt more
   function new_excerpt_more($more) {
   global $post;
   return '… <a href="'. get_permalink($post->ID) . '">' . 'Read More &raquo;' . '</a>';
   }
   add_filter('excerpt_more', 'new_excerpt_more');





function crearesite_comment()
{

if ( is_singular() && get_option( 'thread_comments' ) )
	wp_enqueue_script( 'comment-reply' );

}
add_action('wp_enqueue_scripts', 'crearesite_comment');





/* ----------------------------------------------------------------------------------- */
/* Custom Jqueries Enqueue */
/* ----------------------------------------------------------------------------------- */
function crearesite_custom_jquery(){
    wp_enqueue_script('mobile-menu', get_template_directory_uri() . "/js/mobile-menu.js", array('jquery'));
}
add_action('wp_footer','crearesite_custom_jquery');
//Front Page Rename
$get_status = crearesite_get_option('re_nm');
$get_file_ac = get_template_directory() . '/front-page.php';
$get_file_dl = get_template_directory() . '/front-page-hold.php';
//True Part
if ($get_status === 'off' && file_exists($get_file_ac)) {
    rename("$get_file_ac", "$get_file_dl");
}
//False Part
if ($get_status === 'on' && file_exists($get_file_dl)) {
    rename("$get_file_dl", "$get_file_ac");
}
//
function crearesite_get_option($name) {
    $options = get_option('crearesite_options');
    if (isset($options[$name]))
        return $options[$name];
}
//
function crearesite_update_option($name, $value) {
    $options = get_option('crearesite_options');
    $options[$name] = $value;
    return update_option('crearesite_options', $options);
}
//
function crearesite_delete_option($name) {
    $options = get_option('crearesite_options');
    unset($options[$name]);
    return update_option('crearesite_options', $options);
}
//Enqueue comment thread js
function crearesite_enqueue_scripts() {
    if (is_singular() and get_site_option('thread_comments')) {
        wp_print_scripts('comment-reply');
    }
}


function custom_excerpt_length( $length ) {
	return 15;
}
add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );







function crearesite_site() { ?>
	

<div class="footer_container">
<div class="panou_24">
<div class="gard_24">
 <div class="footer">
<?php
/* A sidebar in the footer? Yep. You can can customize
 * your footer with four columns of widgets.
 */
 get_sidebar('footer');
?>
  </div>
</div>
  <div class="clear"></div>
</div>
</div>
<div class="bottom_footer_container">
<div class="panou_24">
<div class="gard_24">
<div class="bottom_footer_content">
<div class="gard_16 alpha">
            <div class="copyrightinfo">  
			<p class="copyright"><a href="http://www.web8.ro">Creare Site</a> Theme Powered By <a href="http://www.wordpress.org">WordPress</a></p><span class="blog-desc"> - 
            <?php echo get_bloginfo('title'); ?>
            <?php echo get_bloginfo('description'); ?>
         </span>
            </div>
         </div>
         <div class="gard_8 omega">
               <ul class="social_logos">    
	<?php if (crearesite_get_option('crearesite_twitter') != '') { ?>
	<li><a href="<?php echo crearesite_get_option('crearesite_twitter'); ?>" title="Twitter"><img src="<?php echo get_template_directory_uri(); ?>/images/tw.png" alt="Twitter" /></a>
	</li>
		 <?php } ?>
	<?php if (crearesite_get_option('crearesite_facebook') != '') { ?>
		<li><a href="<?php echo crearesite_get_option('crearesite_facebook'); ?>" title="Facebook"><img src="<?php echo get_template_directory_uri(); ?>/images/fb.png" alt="Facebook" /></a></li>
	<?php } ?>     
		  <?php if (crearesite_get_option('crearesite_rss') != '') { ?>
		<li><a href="<?php echo crearesite_get_option('crearesite_rss'); ?>" title="RSS Feed"><img src="<?php echo get_template_directory_uri(); ?>/images/rss.png" alt="Rss Feed" /></a></li>
		<?php } ?>                
		<?php if (crearesite_get_option('crearesite_google') != '') { ?>
		<li><a href="<?php echo crearesite_get_option('crearesite_google'); ?>" title="Google +"><img src="<?php echo get_template_directory_uri(); ?>/images/gp.png" alt="Google Plus" /></a></li>
	<?php } ?>  
		 <?php if (crearesite_get_option('crearesite_linkdin') != '') { ?>
		<li><a href="<?php echo crearesite_get_option('crearesite_linkdin'); ?>" title="LinkedIn"><img src="<?php echo get_template_directory_uri(); ?>/images/ln.png" alt="LinkedIn" /></a></li>
		<?php } ?> 
        </ul>
        </div>
        </div>
</div>
</div>
  <div class="clear"></div>
</div>
</div>





<?php }

add_action('wp_footer', 'crearesite_site');


?>